package com.ruoyi.project.task.service;

import java.util.List;
import com.ruoyi.project.task.domain.TTaskRepair;

/**
 * 维修任务Service接口
 *
 * @author ruoyi
 * @date 2022-11-30
 */
public interface ITTaskRepairService
{
    /**
     * 查询维修任务
     *
     * @param id 维修任务主键
     * @return 维修任务
     */
    public TTaskRepair selectTTaskRepairById(Long id);

    /**
     * 查询维修任务列表
     *
     * @param tTaskRepair 维修任务
     * @return 维修任务集合
     */
    public List<TTaskRepair> selectTTaskRepairList(TTaskRepair tTaskRepair);

    /**
     * 新增维修任务
     *
     * @param tTaskRepair 维修任务
     * @return 结果
     */
    public int insertTTaskRepair(TTaskRepair tTaskRepair);

    /**
     * 修改维修任务
     *
     * @param tTaskRepair 维修任务
     * @return 结果
     */
    public int updateTTaskRepair(TTaskRepair tTaskRepair);

    public int updateTTaskRepairByIds(Long[] ids);

    /**
     * 批量删除维修任务
     *
     * @param ids 需要删除的维修任务主键集合
     * @return 结果
     */
    public int deleteTTaskRepairByIds(Long[] ids);

    /**
     * 删除维修任务信息
     *
     * @param id 维修任务主键
     * @return 结果
     */
    public int deleteTTaskRepairById(Long id);
}
